<?xml version="1.0" encoding="utf-8"?>
<RelativeLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    tools:context=".ui.home.activity.DataPackActivity">

    <RelativeLayout
        android:id="@+id/layout_top"
        android:layout_width="match_parent"
        android:layout_height="@dimen/height_row_sub_mapy"
        android:paddingStart="@dimen/default_screen_padding"
        android:paddingEnd="@dimen/default_screen_padding">

        <com.seatel.mobilehall.util.customview.CustomTextView
            android:id="@+id/ctv_user_name"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_above="@+id/ctv_phone_number"
            android:text="Logan Sean"
            android:textColor="@color/colorWhiteAlpha"
            android:textSize="@dimen/small_text_size" />

        <com.seatel.mobilehall.util.customview.CustomTextView
            android:id="@+id/ctv_phone_number"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_alignParentBottom="true"
            android:layout_marginBottom="4dp"
            android:gravity="bottom"
            android:text="0184561238"
            android:textColor="@android:color/white"
            android:textSize="@dimen/xxx_large_text_size"
            android:textStyle="bold" />

    </RelativeLayout>

    <com.seatel.mobilehall.util.customview.ParallaxScrollView
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:layout_below="@+id/layout_top"
        android:background="@color/colorBgWhiteGray"
        android:fillViewport="true"
        android:visibility="visible"
        app:inner_parallax_factor="1.8"
        app:parallax_factor="1.5"
        app:parallax_views_num="3">

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginTop="@dimen/top_padding"
            android:orientation="vertical">

            <LinearLayout
                android:id="@+id/view_description_value_pack"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:orientation="vertical"
                android:visibility="invisible">

                <com.seatel.mobilehall.util.customview.CustomTextView
                    android:id="@+id/value_pack_title"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="10dp"
                    android:layout_marginBottom="10dp"
                    android:paddingStart="@dimen/default_screen_padding"
                    android:paddingEnd="@dimen/default_screen_padding"
                    android:text=""
                    android:textAlignment="center"
                    android:textColor="@color/colorPrimary"
                    android:textSize="@dimen/xxx_large_text_size"
                    android:textStyle="bold"
                    android:visibility="gone" />

                <com.seatel.mobilehall.util.customview.CustomTextView
                    android:id="@+id/value_pack_sub_title"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginBottom="@dimen/default_screen_padding"
                    android:paddingStart="@dimen/default_screen_padding"
                    android:paddingEnd="@dimen/default_screen_padding"
                    android:text="@string/value_pack_sub_message"
                    android:textAlignment="center"
                    android:textColor="@color/colorTextBlack"
                    android:textSize="@dimen/large_text_size" />

            </LinearLayout>

            <LinearLayout
                android:id="@+id/row1"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:background="@android:color/transparent"
                android:orientation="horizontal"
                android:visibility="invisible">

                <com.seatel.mobilehall.util.view.ItemDataPackView
                    android:id="@+id/item1"
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_marginStart="5dp"
                    android:layout_marginEnd="0dp"
                    android:layout_weight="1"
                    android:tag="item1" />

                <com.seatel.mobilehall.util.view.ItemDataPackView
                    android:id="@+id/item2"
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_marginStart="0dp"
                    android:layout_marginEnd="5dp"
                    android:layout_weight="1"
                    android:tag="item2" />
            </LinearLayout>

            <LinearLayout
                android:id="@+id/row2"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:background="@android:color/transparent"
                android:orientation="horizontal"
                android:visibility="invisible">

                <com.seatel.mobilehall.util.view.ItemDataPackView
                    android:id="@+id/item3"
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_marginStart="5dp"
                    android:layout_marginEnd="0dp"
                    android:layout_weight="1"
                    android:tag="item3" />

                <com.seatel.mobilehall.util.view.ItemDataPackView
                    android:id="@+id/item4"
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_marginStart="0dp"
                    android:layout_marginEnd="5dp"
                    android:layout_weight="1"
                    android:tag="item4" />
            </LinearLayout>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:background="@android:color/transparent"
                android:orientation="horizontal"
                android:visibility="gone">

                <com.seatel.mobilehall.util.view.ItemDataPackView
                    android:id="@+id/item5"
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_marginStart="5dp"
                    android:layout_marginEnd="0dp"
                    android:layout_weight="1"
                    android:tag="item5" />

                <com.seatel.mobilehall.util.view.ItemDataPackView
                    android:id="@+id/item6"
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_marginStart="0dp"
                    android:layout_marginEnd="5dp"
                    android:layout_weight="1"
                    android:tag="item6" />
            </LinearLayout>


            <com.seatel.mobilehall.util.view.ViewDataPackTabFooter
                android:id="@+id/view_footer_tab"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="5dp"
                android:visibility="invisible" />


        </LinearLayout>

    </com.seatel.mobilehall.util.customview.ParallaxScrollView>

    <!--For Show View App Guide-->
    <LinearLayout
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_below="@+id/layout_top"
        android:layout_marginTop="@dimen/top_padding"
        android:background="@android:color/transparent"
        android:orientation="vertical"
        android:visibility="invisible">

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:background="@android:color/transparent"
            android:orientation="horizontal"
            android:visibility="invisible">

            <com.seatel.mobilehall.util.view.ItemDataPackView
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_marginStart="5dp"
                android:layout_marginEnd="0dp"
                android:layout_weight="1" />

            <com.seatel.mobilehall.util.view.ItemDataPackView
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_marginStart="0dp"
                android:layout_marginEnd="5dp"
                android:layout_weight="1" />
        </LinearLayout>

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:background="@android:color/transparent"
            android:orientation="horizontal"
            android:visibility="invisible">

            <com.seatel.mobilehall.util.view.ItemDataPackView
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_marginStart="5dp"
                android:layout_marginEnd="0dp"
                android:layout_weight="1" />

            <com.seatel.mobilehall.util.view.ItemDataPackView
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_marginStart="0dp"
                android:layout_marginEnd="5dp"
                android:layout_weight="1" />
        </LinearLayout>

    </LinearLayout>

    <!--Button Buy Section-->
    <com.seatel.mobilehall.util.customview.CustomTextView
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:visibility="invisible" />

    <RelativeLayout
        android:id="@+id/layout_bg_btn_buy"
        android:layout_width="match_parent"
        android:layout_height="60dp"
        android:layout_alignParentBottom="true"
        android:translationY="40dp">

        <View
            android:layout_width="wrap_content"
            android:layout_height="40dp"
            android:layout_alignParentBottom="true"
            android:background="@color/colorBottombar" />
    </RelativeLayout>

    <RelativeLayout
        android:id="@+id/layout_btn_buy"
        android:layout_width="match_parent"
        android:layout_height="60dp"
        android:layout_alignParentBottom="true"
        android:translationY="60dp">

        <com.seatel.mobilehall.util.customview.CustomButton
            android:id="@+id/btn_buy"
            android:layout_width="match_parent"
            android:layout_height="40dp"
            android:layout_marginLeft="@dimen/default_screen_padding"
            android:layout_marginRight="@dimen/default_screen_padding"
            android:layout_marginBottom="20dp"
            android:background="@drawable/bg_button_primary"
            android:gravity="center"
            android:text="@string/buy"
            android:textAllCaps="false"
            android:textColor="@color/color_add_to_card"
            android:textSize="@dimen/default_text_size" />

    </RelativeLayout>

    <com.seatel.mobilehall.util.customview.ErrorHandleView
        android:id="@+id/error_view"
        android:layout_width="match_parent"
        android:layout_height="match_parent" />

</RelativeLayout>